package com.gotdns.jimula.EatHealthy;

import java.util.*;

/**
  * <em>PFC</em> is a class which calculate protein, fat, and carbohydrate
  * serving depend on user's calories need.
  * <p>EatHealthy </p>
  * <p>A simple personal nutrient need and food serving calculator </p>
  * <p>Copyright (c) 2003</p>
  * @author Jimmy Ding
  * @version 1.01, 05/01/03
  */
public class PFC {

//calculated protein serving
 private float port;

//calculated fat serving
 private float fat;

//calculated carbohydrate serving
 private float cho;

 /**
  * Constructs a new PFC.
  * @param calorie user's calorie need
  */
    public  PFC(float calorie) {

      //formula
      this.port=calorie*0.14F/4;
      this.fat=calorie*0.26F/9;
      this.cho=calorie*0.6F/4;

      this.port=(float)(Math.round(this.port*10))/10;
      this.fat=(float)(Math.round(this.fat*10))/10;
      this.cho=(float)(Math.round(this.cho*10))/10;
    } // end PFC

/**
 * Get the calculated protein serving of this object.
 * @return a flot with protein serving
 */
    public float getProtien() {
      return this.port;
    } // end getPort

/**
  * Get the calculated fat serving of this object.
  * @return a flot with protein serving
  */
    public float getFat() {
      return this.fat;
    } // end getFat

/**
  * Get the calculated carbohydrate serving of this object.
  * @return a flot with carbohydrate serving
  */
    public float getCarb() {
       return this.cho; // your code here
    } // end getCho

} // end PFC



